import sys
sys.path.append('../lib')


import Cardigan
import Config

# load the configuration module
config = Config.Config()
config.setPPI('hprd')
# load the module with the modified configuration
cardigan = Cardigan.Cardigan(config)

# predict genes for BDPLT16 (MIM: 187800)
# keep gene 3690 as a seed and use 3674 as a target
out = cardigan.predict(['187800'],['3690'],['3674'])
targetPos = cardigan.evaluate()
print targetPos