import sys
import os
sys.path.append('../lib')

import Config
import DISSIMUtilities

config = Config.Config()
diseaseSimilarities = DISSIMUtilities.DiseaseSimilarity(config.dissim, outfile=config.dissimParsed)

auxiliaryFiles = ['entrez_to_ensembl.txt','symbol_to_entrez.txt']
directories=['hprd','diamond','biogrid','hippie','funcoup','user']
missing=[]

for directory in directories:
	thisDir = os.path.join(config.__dataDir__,'ppi',directory)
	files = [f for f in os.listdir(thisDir) if os.path.isfile(os.path.join(thisDir, f))]
	files = [f for f in files if f not in auxiliaryFiles]

	if len(files)==0:
		missing.append(directory)

if len(missing) == len(directories):
	print 'WARNING: No PPI networks were provided. \nDefault folders for the networks can be found in: data/ppi/'

else:
	print 'Setup completed'
